1. Customer Accounts
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
        GET
      • Find Charges By TransactionTypeId
        GET
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Customer Accounts

Find Charges By TransactionTypeId

GET
/v1/charge/fetch-charges
This request returns the charges for a particular Transaction Type. It uses the transactionTypeId as the parameter obtained when querying Find Transaction Routes request.

Sample successful response#

{
    "name": "Mpesa Charge",
    "minimumCharge": 10.00,
    "currencyName": "KES",
    "maximumCharge": 150.00,
    "graduatedScaleList": [
        {
            "value": 10.00,
            "rangeLowerLimit": 1.00,
            "rangeUpperLimit": 1000.00
        },
        {
            "value": 15.00,
            "rangeLowerLimit": 1000.01,
            "rangeUpperLimit": 5000.00
        },
        {
            "value": 20.00,
            "rangeLowerLimit": 5000.01,
            "rangeUpperLimit": 10000.00
        },
        {
            "value": 25.00,
            "rangeLowerLimit": 10000.01,
            "rangeUpperLimit": 15000.00
        },
        {
            "value": 30.00,
            "rangeLowerLimit": 15000.01,
            "rangeUpperLimit": 50000.00
        },
        {
            "value": 35.00,
            "rangeLowerLimit": 50000.01,
            "rangeUpperLimit": 100000.00
        }
    ]
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/charge/fetch-charges?transactionTypeId'
Response Response Example
{}
Modified at 2026-04-30 06:31:07
Previous
Balance Check
Next
Overview
Built with